Bug 34403 - FORMATTING: borders wrong for merged cells with overlapping line segments
Summary: FORMATTING: borders wrong for merged cells with overlapping line segments
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 130626 (view as bug list)
Depends on:
Blocks: ImpressDraw-Tables
  Show dependency treegraph
 
Reported: 2011-02-17 08:30 UTC by Alexander Pavlov
Modified: 2020-03-26 19:27 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot showing incorrect borders (22.03 KB, image/png)
2011-02-17 08:30 UTC, Alexander Pavlov
Details
new screenshot in 4.2.4.2 (7.18 KB, image/jpeg)
2014-06-15 07:41 UTC, tommy27
Details
screenshot in 6.0.3.2 (8.79 KB, image/png)
2018-04-09 14:04 UTC, Alexander Pavlov
Details
Reproducing 34403 steps in 6.1.5.2 (837 bytes, image/png)
2020-02-12 19:51 UTC, endoril
Details
Missing right borders when merging full row in 6.1.5.2 (3.95 KB, image/png)
2020-02-12 19:52 UTC, endoril
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pavlov 2011-02-17 08:30:20 UTC
Created attachment 43489 [details]
Screenshot showing incorrect borders

Windows, Installer name: LibO_3.3.0_Win_x86_install_multi.exe

Impress doesn't render borders properly using either toolbar buttons or context menu setting.

Steps to reproduce: 
0. start with an empty presentation
1. Insert>Table. Add a 3x3 table. 
2. using the Table toolbar, merge first two cells in the first row. 
3. using the Table toolbar, merge second and third cell in the second row
4. click inside the merged cell in the first row
5. choose "Outer border" from the borders selector on the Table toolbar
OR
5'.right click, choose Table... from the context menu. Choose a line color (e.g.Black) and Style (e.g 1.00pt). Press the "Outer border only" button under "Line arrangement" (second button), click OK

6. RESULT: there's no right border on the cell, but there's now a border under the third (unmerged cell) which cannot be unset .
Comment 1 Rainer Bielefeld Retired 2011-07-14 07:02:29 UTC Comment hidden (obsolete)
Comment 2 Rainer Bielefeld Retired 2011-07-14 09:16:09 UTC
Pretty old issue, already in  "LibreOffice Portable 3.3.0  - WIN7  Home Premium (64bit) German UI [OOO330m19 (Build:6 Tag 3.3.0.4)]". And still in Master.

In different tables in WRITER and also touching cells in Calc I did not see such unexpected border behavior.

BTW: I would really like to know whether we should sort common bugs to DRAW or to PRESENTATION.
Comment 3 Björn Michaelsen 2011-12-23 13:24:30 UTC Comment hidden (obsolete)
Comment 4 Roman Eisele 2012-08-22 09:31:38 UTC
For the record:

still REPRODUCIBLE with LibreOffice 3.6.1.1 (Build ID: 4db6344) on MacOS X 10.6.8 (Intel). Results are exactly the same as visible on screenshot (attachment 43489 [details]).

Therefore changed Platform to All/All (bug is not specific to Windows).
Comment 5 Roman Eisele 2012-08-22 09:36:02 UTC Comment hidden (obsolete)
Comment 6 tommy27 2014-06-15 07:41:59 UTC
Created attachment 101085 [details]
new screenshot in 4.2.4.2

(In reply to comment #0)
> ...
> 
> 6. RESULT: there's no right border on the cell, but there's now a border
> under the third (unmerged cell) which cannot be unset .

retested under Win7x64 using 4.2.4.2
right border in 2nd cell is now visible but the unwanted lower border in 3rd cell is still there
Comment 7 QA Administrators 2015-07-18 17:42:53 UTC Comment hidden (obsolete)
Comment 8 Buovjaga 2015-10-16 20:06:10 UTC
Still repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 186f32f63434e16ff5776251657f902d5808ed3d
TinderBox: Win-x86@39, Branch:master, Time: 2015-10-16_09:42:47
Locale: en-US (fi_FI)
Comment 9 QA Administrators 2016-11-08 11:13:26 UTC Comment hidden (obsolete)
Comment 10 Alexander Pavlov 2018-04-09 14:03:20 UTC
Still there in LibreOffice  6.0.3.2 (x64), Win7 x64. Appears similar to "new screenshot in 4.2.4.2"
Comment 11 Alexander Pavlov 2018-04-09 14:04:35 UTC
Created attachment 141227 [details]
screenshot in 6.0.3.2
Comment 12 QA Administrators 2019-04-10 02:58:34 UTC Comment hidden (obsolete)
Comment 13 endoril 2020-02-12 19:51:26 UTC
Can reproduce this on LibreOffice 6.1.5.2 on Debian.
Version: 6.1.5.2
Build ID: 1:6.1.5-3+deb10u5
Threads CPU : 8; OS : Linux 4.19; UI Render : par défaut; VCL: gtk3; 
Locale : fr-FR (fr_FR.utf8); Calc: group threaded

When reproducing steps, i have right border on merged cell, and i have unwanted border under the third (umerged) cell.

When i merge full row, there is no right border.
Comment 14 endoril 2020-02-12 19:51:58 UTC
Created attachment 157828 [details]
Reproducing 34403 steps in 6.1.5.2
Comment 15 endoril 2020-02-12 19:52:33 UTC
Created attachment 157829 [details]
Missing right borders when merging full row in 6.1.5.2
Comment 16 endoril 2020-02-12 19:55:54 UTC
*** Bug 130626 has been marked as a duplicate of this bug. ***
Comment 17 endoril 2020-02-12 19:59:59 UTC
I have found this bug following these steps too:

Description:
When adding borders on merged cells, right border is missing.
When merging bordered cells, right border disappear.

Steps to Reproduce:
1. Open Libre Office Draw
2. Insert > Table...
3a. Right-click on table > "table properties..." > "Borders" tab: make a border around the table
3b. select all cells in a row, right-click > merge cells

Actual Results:
Steps 3a and 3d can be done in any order:
3a > 3b : merged cells does not have right borders
3b > 3a : right borders disappear when merging cells

Expected Results:
Borders must work on merged cells as they do on non merged ones.
- right borders must not disappear when merging cells
- right borders must be displayed when applying borders on merged cells
Comment 18 Brian 2020-03-26 19:27:43 UTC
Same on Linux, Ubuntu 18.04 LTS with LO 6.4, has the exact same behavior. 
pptx file is generated using python-pptx and when opened in LO merged cells are missing the right border. For some reason only LO does this. WPS, Free Office, Only Office, MS Office all read the tables correctly. Unfortunately LO is the only one that supports command line arguments to convert pptx to pdf, so the others are not really usable. And I would really prefer to use LO.